diff --git a/PhysicsTools/NanoAOD/plugins/JetConstituentTableProducer.cc b/PhysicsTools/NanoAOD/plugins/JetConstituentTableProducer.cc
index 97648de766e..6f9b6f0d3a1 100644
--- a/PhysicsTools/NanoAOD/plugins/JetConstituentTableProducer.cc
+++ b/PhysicsTools/NanoAOD/plugins/JetConstituentTableProducer.cc
@@ -32,10 +32,10 @@ using namespace btagbtvdeep;
 
 namespace {
 
-std::string toupper(std::string s) {
-  std::transform(s.begin(), s.end(), s.begin(), ::toupper);
-  return s;
-}
+  std::string toupper(std::string s) {
+    std::transform(s.begin(), s.end(), s.begin(), ::toupper);
+    return s;
+  }
 
 }  // namespace
 
@@ -95,10 +95,10 @@ JetConstituentTableProducer<T>::JetConstituentTableProducer(const edm::Parameter
       vtx_token_(consumes<VertexCollection>(iConfig.getParameter<edm::InputTag>("vertices"))),
       cand_token_(consumes<reco::CandidateView>(iConfig.getParameter<edm::InputTag>("candidates"))),
       sv_token_(consumes<SVCollection>(iConfig.getParameter<edm::InputTag>("secondary_vertices"))),
-      track_builder_token_(esConsumes<TransientTrackBuilder, TransientTrackRecord>(edm::ESInputTag("", "TransientTrackBuilder"))),
+      track_builder_token_(
+          esConsumes<TransientTrackBuilder, TransientTrackRecord>(edm::ESInputTag("", "TransientTrackBuilder"))),
       sv_sort_(iConfig.getUntrackedParameter<std::string>("sv_sort")),
-      pf_sort_(iConfig.getUntrackedParameter<std::string>("pf_sort"))
-{
+      pf_sort_(iConfig.getUntrackedParameter<std::string>("pf_sort")) {
   produces<nanoaod::FlatTable>(name_);
   produces<nanoaod::FlatTable>(nameSV_);
   produces<std::vector<reco::CandidatePtr>>();
@@ -155,19 +155,22 @@ void JetConstituentTableProducer<T>::produce(edm::Event &iEvent, const edm::Even
         jetSVs.push_back(&sv);
       }
     }
-    if(toupper(sv_sort_) == "IP") {
+    if (toupper(sv_sort_) == "IP") {
       // sort by dxy significance
-      std::sort(jetSVs.begin(), jetSVs.end(),
-          [this](const reco::VertexCompositePtrCandidate *sva, const reco::VertexCompositePtrCandidate *svb) {
-            return sv_vertex_comparator(*sva, *svb, *pv_);
-          });
-    } else if(toupper(sv_sort_) == "PT") {
-      std::sort(jetSVs.begin(), jetSVs.end(),
-          [](const reco::VertexCompositePtrCandidate *sva, const reco::VertexCompositePtrCandidate *svb) {
-            return sva->pt() > svb->pt();
-          });
-    } else if(!sv_sort_.empty()) {
-      throw cms::Exception("Configuration") << "Unknown sorting option for secondary vertices: " << sv_sort_ << std::endl;
+      std::sort(jetSVs.begin(),
+                jetSVs.end(),
+                [this](const reco::VertexCompositePtrCandidate *sva, const reco::VertexCompositePtrCandidate *svb) {
+                  return sv_vertex_comparator(*sva, *svb, *pv_);
+                });
+    } else if (toupper(sv_sort_) == "PT") {
+      std::sort(jetSVs.begin(),
+                jetSVs.end(),
+                [](const reco::VertexCompositePtrCandidate *sva, const reco::VertexCompositePtrCandidate *svb) {
+                  return sva->pt() > svb->pt();
+                });
+    } else if (!sv_sort_.empty()) {
+      throw cms::Exception("Configuration")
+          << "Unknown sorting option for secondary vertices: " << sv_sort_ << std::endl;
     }
 
     for (const auto &sv : jetSVs) {
@@ -206,17 +209,20 @@ void JetConstituentTableProducer<T>::produce(edm::Event &iEvent, const edm::Even
 
     // PF Cands
     std::vector<reco::CandidatePtr> const &daughters = jet.daughterPtrVector();
-    std::vector<size_t> dauidx; dauidx.reserve(daughters.size());
-    for(size_t i = 0; i < daughters.size(); ++i) dauidx.push_back(i);
-    if(toupper(pf_sort_) == "PT") {
+    std::vector<size_t> dauidx;
+    dauidx.reserve(daughters.size());
+    for (size_t i = 0; i < daughters.size(); ++i)
+      dauidx.push_back(i);
+    if (toupper(pf_sort_) == "PT") {
       std::sort(dauidx.begin(), dauidx.end(), [&daughters](size_t i, size_t j) {
         return daughters[i]->pt() > daughters[j]->pt();
       });
-    } else if(!pf_sort_.empty()) {
-      throw cms::Exception("Configuration") << "Unknown sorting option for particle flow candidates: " << pf_sort_ << std::endl;
+    } else if (!pf_sort_.empty()) {
+      throw cms::Exception("Configuration")
+          << "Unknown sorting option for particle flow candidates: " << pf_sort_ << std::endl;
     }
 
-    for(size_t di : dauidx) {
+    for (size_t di : dauidx) {
       const auto &cand = daughters[di];
       auto candPtrs = cands_->ptrs();
       auto candInNewList = std::find(candPtrs.begin(), candPtrs.end(), cand);
diff --git a/PhysicsTools/NanoAOD/plugins/JetTaggerTableProducer.cc b/PhysicsTools/NanoAOD/plugins/JetTaggerTableProducer.cc
index 69c2844cf7c..169dbbfbb5e 100644
--- a/PhysicsTools/NanoAOD/plugins/JetTaggerTableProducer.cc
+++ b/PhysicsTools/NanoAOD/plugins/JetTaggerTableProducer.cc
@@ -22,7 +22,7 @@ using namespace btagbtvdeep;
 // To store the gen info to get the truth flavour of the jet
 #include "DataFormats/PatCandidates/interface/Jet.h"
 
-template<typename T>
+template <typename T>
 class JetTaggerTableProducer : public edm::stream::EDProducer<> {
 public:
   explicit JetTaggerTableProducer(const edm::ParameterSet &);
@@ -51,7 +51,7 @@ private:
 //
 // constructors and destructor
 //
-template<typename T>
+template <typename T>
 JetTaggerTableProducer<T>::JetTaggerTableProducer(const edm::ParameterSet &iConfig)
     : nameDeepJet_(iConfig.getParameter<std::string>("nameDeepJet")),
       idx_nameDeepJet_(iConfig.getParameter<std::string>("idx_nameDeepJet")),
@@ -60,19 +60,15 @@ JetTaggerTableProducer<T>::JetTaggerTableProducer(const edm::ParameterSet &iConf
       n_sv_(iConfig.getParameter<unsigned int>("n_sv")),
       n_lt_(iConfig.getParameter<unsigned int>("n_lt")),
       jet_token_(consumes<edm::View<T>>(iConfig.getParameter<edm::InputTag>("jets"))),
-      tag_info_src_(consumes<TagInfoCollection>(iConfig.getParameter<edm::InputTag>("tagInfo_src")))
-{
+      tag_info_src_(consumes<TagInfoCollection>(iConfig.getParameter<edm::InputTag>("tagInfo_src"))) {
   produces<nanoaod::FlatTable>(nameDeepJet_);
 }
 
-template<typename T>
-JetTaggerTableProducer<T>::~JetTaggerTableProducer()
-{
-}
+template <typename T>
+JetTaggerTableProducer<T>::~JetTaggerTableProducer() {}
 
-template<typename T>
-void JetTaggerTableProducer<T>::produce(edm::Event &iEvent, const edm::EventSetup &iSetup)
-{
+template <typename T>
+void JetTaggerTableProducer<T>::produce(edm::Event &iEvent, const edm::EventSetup &iSetup) {
   // elements in all these collections must have the same order!
 
   // only necessary to explicitly check correct matching of jets
@@ -183,8 +179,8 @@ void JetTaggerTableProducer<T>::produce(edm::Event &iEvent, const edm::EventSetu
   std::vector<std::vector<float>> lt_phi_nLT(n_lt_, std::vector<float>(nJets));
   std::vector<std::vector<float>> lt_e_nLT(n_lt_, std::vector<float>(nJets));
 
-  if(!tag_infos->empty()) {
-    for(unsigned i_jet = 0; i_jet < nJets; ++i_jet) {
+  if (!tag_infos->empty()) {
+    for (unsigned i_jet = 0; i_jet < nJets; ++i_jet) {
       // jet loop reads tag info instead of constituent info
 
       const auto &taginfo = (*tag_infos)[i_jet];
@@ -199,43 +195,54 @@ void JetTaggerTableProducer<T>::produce(edm::Event &iEvent, const edm::EventSetu
 
       std::vector<const btagbtvdeep::ChargedCandidateFeatures *> ranked_c_pf_features;
       ranked_c_pf_features.reserve(features.c_pf_features.size());
-      for(auto &c_pf : features.c_pf_features) ranked_c_pf_features.push_back(&c_pf);
+      for (auto &c_pf : features.c_pf_features)
+        ranked_c_pf_features.push_back(&c_pf);
 
       std::vector<const btagbtvdeep::NeutralCandidateFeatures *> ranked_n_pf_features;
       ranked_n_pf_features.reserve(features.n_pf_features.size());
-      for(auto &n_pf : features.n_pf_features) ranked_n_pf_features.push_back(&n_pf);
+      for (auto &n_pf : features.n_pf_features)
+        ranked_n_pf_features.push_back(&n_pf);
 
       std::vector<const btagbtvdeep::SecondaryVertexFeatures *> ranked_sv_features;
       ranked_sv_features.reserve(features.sv_features.size());
-      for(auto &sv : features.sv_features) ranked_sv_features.push_back(&sv);
+      for (auto &sv : features.sv_features)
+        ranked_sv_features.push_back(&sv);
 
       std::vector<const btagbtvdeep::LostTracksFeatures *> ranked_lt_features;
       ranked_lt_features.reserve(features.lt_features.size());
-      for(auto &lt : features.lt_features) ranked_lt_features.push_back(&lt);
+      for (auto &lt : features.lt_features)
+        ranked_lt_features.push_back(&lt);
 
       auto max_c_pf_n = std::min(features.c_pf_features.size(), (std::size_t)n_cpf_);
       auto max_n_pf_n = std::min(features.n_pf_features.size(), (std::size_t)n_npf_);
       auto max_sv_n = std::min(features.sv_features.size(), (std::size_t)n_sv_);
       auto max_lt_n = std::min(features.lt_features.size(), (std::size_t)n_lt_);
 
-      auto c_pf_cmp = [](const btagbtvdeep::ChargedCandidateFeatures *a, const btagbtvdeep::ChargedCandidateFeatures *b) { return a->pt > b->pt; };
+      auto c_pf_cmp = [](const btagbtvdeep::ChargedCandidateFeatures *a,
+                         const btagbtvdeep::ChargedCandidateFeatures *b) { return a->pt > b->pt; };
       //auto n_pf_cmp = [](const btagbtvdeep::NeutralCandidateFeatures *a, const btagbtvdeep::NeutralCandidateFeatures *b)
       //{ return a->pt > b->pt; };
-      auto sv_cmp = [](const btagbtvdeep::SecondaryVertexFeatures *a, const btagbtvdeep::SecondaryVertexFeatures *b) { return a->pt > b->pt; };
+      auto sv_cmp = [](const btagbtvdeep::SecondaryVertexFeatures *a, const btagbtvdeep::SecondaryVertexFeatures *b) {
+        return a->pt > b->pt;
+      };
       //auto lt_cmp = [](const btagbtvdeep::LostTracksFeatures *a, const btagbtvdeep::LostTracksFeatures *b)
       //{ return a->pt > b->pt; };
 
-      auto c_pf_cmp_ip = [](const btagbtvdeep::ChargedCandidateFeatures *a, const btagbtvdeep::ChargedCandidateFeatures *b) { return fabs(a->btagPf_trackSip3dVal) > fabs(b->btagPf_trackSip3dVal); };
-      auto sv_cmp_ip = [](const btagbtvdeep::SecondaryVertexFeatures *a, const btagbtvdeep::SecondaryVertexFeatures *b) { return fabs(a->d3d) > fabs(b->d3d); };
+      auto c_pf_cmp_ip = [](const btagbtvdeep::ChargedCandidateFeatures *a,
+                            const btagbtvdeep::ChargedCandidateFeatures *b) {
+        return fabs(a->btagPf_trackSip3dVal) > fabs(b->btagPf_trackSip3dVal);
+      };
+      auto sv_cmp_ip = [](const btagbtvdeep::SecondaryVertexFeatures *a,
+                          const btagbtvdeep::SecondaryVertexFeatures *b) { return fabs(a->d3d) > fabs(b->d3d); };
 
       // c_pf
-      if(n_cpf_ == 2) {
+      if (n_cpf_ == 2) {
         // 0: highest pT
         // 1: highest IP
-        if(!ranked_c_pf_features.empty()) {
+        if (!ranked_c_pf_features.empty()) {
           auto highest_pT = *std::min_element(ranked_c_pf_features.begin(), ranked_c_pf_features.end(), c_pf_cmp);
           auto highest_IP = *std::min_element(ranked_c_pf_features.begin(), ranked_c_pf_features.end(), c_pf_cmp_ip);
-          ranked_c_pf_features = { highest_pT, highest_IP };
+          ranked_c_pf_features = {highest_pT, highest_IP};
         }
       } else {
         // highest pT
@@ -253,20 +260,22 @@ void JetTaggerTableProducer<T>::produce(edm::Event &iEvent, const edm::EventSetu
       }
 
       // sv
-      if(n_sv_ == 2) {
+      if (n_sv_ == 2) {
         // 0: highest pT
         // 1: highest IP
-        if(ranked_sv_features.size() >= 2) {
+        if (ranked_sv_features.size() >= 2) {
           auto highest_pT = *std::min_element(ranked_sv_features.begin(), ranked_sv_features.end(), sv_cmp);
           auto highest_IP = *std::min_element(ranked_sv_features.begin(), ranked_sv_features.end(), sv_cmp_ip);
-          if(highest_IP == highest_pT) {  // 1 overlaps with 0: try 2nd highest IP
-            std::nth_element(ranked_sv_features.begin(), next(ranked_sv_features.begin()), ranked_sv_features.end(), sv_cmp_ip);
-            for(size_t isv = 0; isv < 2; ++isv) {  // At most one of the both overlaps with 0.
+          if (highest_IP == highest_pT) {  // 1 overlaps with 0: try 2nd highest IP
+            std::nth_element(
+                ranked_sv_features.begin(), next(ranked_sv_features.begin()), ranked_sv_features.end(), sv_cmp_ip);
+            for (size_t isv = 0; isv < 2; ++isv) {  // At most one of the both overlaps with 0.
               highest_IP = ranked_sv_features[isv];
-              if(highest_IP != highest_pT) break;
+              if (highest_IP != highest_pT)
+                break;
             }
           }
-          ranked_sv_features = { highest_pT, highest_IP };
+          ranked_sv_features = {highest_pT, highest_IP};
         }
       } else {
         // highest pT
@@ -284,7 +293,7 @@ void JetTaggerTableProducer<T>::produce(edm::Event &iEvent, const edm::EventSetu
       }
 
       // c_pf candidates
-      for(std::size_t c_pf_n = 0; c_pf_n < max_c_pf_n; c_pf_n++) {
+      for (std::size_t c_pf_n = 0; c_pf_n < max_c_pf_n; c_pf_n++) {
         const auto &c_pf_features = *ranked_c_pf_features.at(c_pf_n);
         Cpfcan_BtagPf_trackEtaRel_nCpf[c_pf_n][i_jet] = c_pf_features.btagPf_trackEtaRel;
         Cpfcan_BtagPf_trackPtRel_nCpf[c_pf_n][i_jet] = c_pf_features.btagPf_trackPtRel;
@@ -318,7 +327,7 @@ void JetTaggerTableProducer<T>::produce(edm::Event &iEvent, const edm::EventSetu
       }
 
       // n_pf candidates
-      for(std::size_t n_pf_n = 0; n_pf_n < max_n_pf_n; n_pf_n++) {
+      for (std::size_t n_pf_n = 0; n_pf_n < max_n_pf_n; n_pf_n++) {
         const auto &n_pf_features = *ranked_n_pf_features.at(n_pf_n);
         Npfcan_ptrel_nNpf[n_pf_n][i_jet] = n_pf_features.ptrel;
         Npfcan_etarel_nNpf[n_pf_n][i_jet] = n_pf_features.etarel;
@@ -335,7 +344,7 @@ void JetTaggerTableProducer<T>::produce(edm::Event &iEvent, const edm::EventSetu
       }
 
       // sv candidates
-      for(std::size_t sv_n = 0; sv_n < max_sv_n; sv_n++) {
+      for (std::size_t sv_n = 0; sv_n < max_sv_n; sv_n++) {
         const auto &sv_features = *ranked_sv_features.at(sv_n);
         sv_pt_nSV[sv_n][i_jet] = sv_features.pt;
         sv_deltaR_nSV[sv_n][i_jet] = sv_features.deltaR;
@@ -363,7 +372,7 @@ void JetTaggerTableProducer<T>::produce(edm::Event &iEvent, const edm::EventSetu
       }
 
       // lt candidates
-      for(std::size_t lt_n = 0; lt_n < max_lt_n; lt_n++) {
+      for (std::size_t lt_n = 0; lt_n < max_lt_n; lt_n++) {
         const auto &lt_features = *ranked_lt_features.at(lt_n);
         lt_btagPf_trackEtaRel_nLT[lt_n][i_jet] = lt_features.btagPf_trackEtaRel;
         lt_btagPf_trackPtRel_nLT[lt_n][i_jet] = lt_features.btagPf_trackPtRel;
@@ -400,25 +409,76 @@ void JetTaggerTableProducer<T>::produce(edm::Event &iEvent, const edm::EventSetu
   djTable->addColumn<int>("DeepJet_nlt", jet_N_LTs, "Number of lost tracks in the jet");
 
   // ============================================================== Cpfs ===================================================================
-  for(unsigned int p = 0; p < n_cpf_; p++) {
+  for (unsigned int p = 0; p < n_cpf_; p++) {
     auto s = std::to_string(p);
 
-    djTable->addColumn<float>("DeepJet_Cpfcan_BtagPf_trackDeltaR_" + s, Cpfcan_BtagPf_trackDeltaR_nCpf[p], "track pseudoangular distance from the jet axis for the " + s + ". cpf", 10);
-    djTable->addColumn<float>("DeepJet_Cpfcan_BtagPf_trackEtaRel_" + s, Cpfcan_BtagPf_trackEtaRel_nCpf[p], "track pseudorapidity, relative to the jet axis for the " + s + ". cpf", 10);
-    djTable->addColumn<float>("DeepJet_Cpfcan_BtagPf_trackJetDistVal_" + s, Cpfcan_BtagPf_trackJetDistVal_nCpf[p], "minimum track approach distance to jet axis for the " + s + ". cpf", 10);
-    djTable->addColumn<float>("DeepJet_Cpfcan_BtagPf_trackPPar_" + s, Cpfcan_BtagPf_trackPPar_nCpf[p], "dot product of the jet and track momentum for the " + s + ". cpf", 10);
-    djTable->addColumn<float>("DeepJet_Cpfcan_BtagPf_trackPParRatio_" + s, Cpfcan_BtagPf_trackPParRatio_nCpf[p], "dot product of the jet and track momentum divided by the magnitude of the jet momentum for the " + s + ". cpf", 10);
-    djTable->addColumn<float>("DeepJet_Cpfcan_BtagPf_trackPtRel_" + s, Cpfcan_BtagPf_trackPtRel_nCpf[p], "track transverse momentum, relative to the jet axis for the " + s + ". cpf", 10);
-    djTable->addColumn<float>("DeepJet_Cpfcan_BtagPf_trackSip2dSig_" + s, Cpfcan_BtagPf_trackSip2dSig_nCpf[p], "track 2D signed impact parameter significance for the " + s + ". cpf", 10);
-    djTable->addColumn<float>("DeepJet_Cpfcan_BtagPf_trackSip3dSig_" + s, Cpfcan_BtagPf_trackSip3dSig_nCpf[p], "track 3D signed impact parameter significance for the " + s + ". cpf", 10);
-    djTable->addColumn<float>("DeepJet_Cpfcan_BtagPf_trackSip2dVal_" + s, Cpfcan_BtagPf_trackSip2dVal_nCpf[p], "track 2D signed impact parameter for the " + s + ". cpf", 10);
-    djTable->addColumn<float>("DeepJet_Cpfcan_BtagPf_trackSip3dVal_" + s, Cpfcan_BtagPf_trackSip3dVal_nCpf[p], "track 3D signed impact parameter for the " + s + ". cpf", 10);
-    djTable->addColumn<float>("DeepJet_Cpfcan_ptrel_" + s, Cpfcan_ptrel_nCpf[p], "fraction of the jet momentum carried by the track for the " + s + ". cpf", 10);
-    djTable->addColumn<float>("DeepJet_Cpfcan_drminsv_" + s, Cpfcan_drminsv_nCpf[p], "track pseudoangular distance from the closest secondary vertex of the " + s + ". cpf", 10);
-    djTable->addColumn<int>("DeepJet_Cpfcan_VTX_ass_" + s, Cpfcan_VTX_ass_nCpf[p], "integer flag that indicates whether the track was used in the primary vertex fit for the " + s + ". cpf", 10);
-    djTable->addColumn<float>("DeepJet_Cpfcan_puppiw_" + s, Cpfcan_puppiw_nCpf[p], "charged candidate PUPPI weight of the " + s + ". cpf", 10);
-    djTable->addColumn<float>("DeepJet_Cpfcan_chi2_" + s, Cpfcan_chi2_nCpf[p], "chi2 of the charged track fit for the " + s + ". cpf", 10);
-    djTable->addColumn<int>("DeepJet_Cpfcan_quality_" + s, Cpfcan_quality_nCpf[p], "integer flag which indicates the quality of the fitted track, based on number of detector hits used for the " "reconstruction as well as the overall chi2 of the charged track fit for the " + s + ". cpf", 10);
+    djTable->addColumn<float>("DeepJet_Cpfcan_BtagPf_trackDeltaR_" + s,
+                              Cpfcan_BtagPf_trackDeltaR_nCpf[p],
+                              "track pseudoangular distance from the jet axis for the " + s + ". cpf",
+                              10);
+    djTable->addColumn<float>("DeepJet_Cpfcan_BtagPf_trackEtaRel_" + s,
+                              Cpfcan_BtagPf_trackEtaRel_nCpf[p],
+                              "track pseudorapidity, relative to the jet axis for the " + s + ". cpf",
+                              10);
+    djTable->addColumn<float>("DeepJet_Cpfcan_BtagPf_trackJetDistVal_" + s,
+                              Cpfcan_BtagPf_trackJetDistVal_nCpf[p],
+                              "minimum track approach distance to jet axis for the " + s + ". cpf",
+                              10);
+    djTable->addColumn<float>("DeepJet_Cpfcan_BtagPf_trackPPar_" + s,
+                              Cpfcan_BtagPf_trackPPar_nCpf[p],
+                              "dot product of the jet and track momentum for the " + s + ". cpf",
+                              10);
+    djTable->addColumn<float>(
+        "DeepJet_Cpfcan_BtagPf_trackPParRatio_" + s,
+        Cpfcan_BtagPf_trackPParRatio_nCpf[p],
+        "dot product of the jet and track momentum divided by the magnitude of the jet momentum for the " + s + ". cpf",
+        10);
+    djTable->addColumn<float>("DeepJet_Cpfcan_BtagPf_trackPtRel_" + s,
+                              Cpfcan_BtagPf_trackPtRel_nCpf[p],
+                              "track transverse momentum, relative to the jet axis for the " + s + ". cpf",
+                              10);
+    djTable->addColumn<float>("DeepJet_Cpfcan_BtagPf_trackSip2dSig_" + s,
+                              Cpfcan_BtagPf_trackSip2dSig_nCpf[p],
+                              "track 2D signed impact parameter significance for the " + s + ". cpf",
+                              10);
+    djTable->addColumn<float>("DeepJet_Cpfcan_BtagPf_trackSip3dSig_" + s,
+                              Cpfcan_BtagPf_trackSip3dSig_nCpf[p],
+                              "track 3D signed impact parameter significance for the " + s + ". cpf",
+                              10);
+    djTable->addColumn<float>("DeepJet_Cpfcan_BtagPf_trackSip2dVal_" + s,
+                              Cpfcan_BtagPf_trackSip2dVal_nCpf[p],
+                              "track 2D signed impact parameter for the " + s + ". cpf",
+                              10);
+    djTable->addColumn<float>("DeepJet_Cpfcan_BtagPf_trackSip3dVal_" + s,
+                              Cpfcan_BtagPf_trackSip3dVal_nCpf[p],
+                              "track 3D signed impact parameter for the " + s + ". cpf",
+                              10);
+    djTable->addColumn<float>("DeepJet_Cpfcan_ptrel_" + s,
+                              Cpfcan_ptrel_nCpf[p],
+                              "fraction of the jet momentum carried by the track for the " + s + ". cpf",
+                              10);
+    djTable->addColumn<float>("DeepJet_Cpfcan_drminsv_" + s,
+                              Cpfcan_drminsv_nCpf[p],
+                              "track pseudoangular distance from the closest secondary vertex of the " + s + ". cpf",
+                              10);
+    djTable->addColumn<int>(
+        "DeepJet_Cpfcan_VTX_ass_" + s,
+        Cpfcan_VTX_ass_nCpf[p],
+        "integer flag that indicates whether the track was used in the primary vertex fit for the " + s + ". cpf",
+        10);
+    djTable->addColumn<float>("DeepJet_Cpfcan_puppiw_" + s,
+                              Cpfcan_puppiw_nCpf[p],
+                              "charged candidate PUPPI weight of the " + s + ". cpf",
+                              10);
+    djTable->addColumn<float>(
+        "DeepJet_Cpfcan_chi2_" + s, Cpfcan_chi2_nCpf[p], "chi2 of the charged track fit for the " + s + ". cpf", 10);
+    djTable->addColumn<int>(
+        "DeepJet_Cpfcan_quality_" + s,
+        Cpfcan_quality_nCpf[p],
+        "integer flag which indicates the quality of the fitted track, based on number of detector hits used for the "
+        "reconstruction as well as the overall chi2 of the charged track fit for the " +
+            s + ". cpf",
+        10);
     djTable->addColumn<float>("DeepJet_Cpfcan_charge_" + s, Cpfcan_charge_nCpf[p], "", 10);
     djTable->addColumn<float>("DeepJet_Cpfcan_dz_" + s, Cpfcan_dz_nCpf[p], "", 10);
     djTable->addColumn<float>("DeepJet_Cpfcan_btagPf_trackDecayLen_" + s, Cpfcan_btagPf_trackDecayLen_nCpf[p], "", 10);
@@ -435,17 +495,42 @@ void JetTaggerTableProducer<T>::produce(edm::Event &iEvent, const edm::EventSetu
   }
 
   // ============================================================== Npfs ===================================================================
-  for(unsigned int p = 0; p < n_npf_; p++) {
+  for (unsigned int p = 0; p < n_npf_; p++) {
     auto s = std::to_string(p);
 
-    djTable->addColumn<float>("DeepJet_Npfcan_ptrel_" + s, Npfcan_ptrel_nNpf[p], "fraction of the jet momentum carried by the neutral candidate for the " + s + ". npf", 10);
-    djTable->addColumn<float>("DeepJetExtra_Npfcan_etarel_" + s, Npfcan_etarel_nNpf[p], "pseudorapidity relative to parent jet for the " + s + ". npf", 10);
-    djTable->addColumn<float>("DeepJetExtra_Npfcan_phirel_" + s, Npfcan_phirel_nNpf[p], "DeltaPhi(npf, jet) for the " + s + ". npf", 10);
-    djTable->addColumn<float>("DeepJet_Npfcan_deltaR_" + s, Npfcan_deltaR_nNpf[p], "pseudoangular distance between the neutral candidate and the jet axis for the " + s + ". npf", 10);
-    djTable->addColumn<int>("DeepJet_Npfcan_isGamma_" + s, Npfcan_isGamma_nNpf[p], "integer flag indicating whether the neutral candidate is a photon for the " + s + ". npf", 10);
-    djTable->addColumn<float>("DeepJet_Npfcan_HadFrac_" + s, Npfcan_HadFrac_nNpf[p], "fraction of the neutral candidate energy deposited in the hadronic calorimeter for the " + s + ". npf", 10);
-    djTable->addColumn<float>("DeepJet_Npfcan_drminsv_" + s, Npfcan_drminsv_nNpf[p], "pseudoangular distance between the neutral candidate and the closest secondary vertex for the " + s + ". npf", 10);
-    djTable->addColumn<float>("DeepJet_Npfcan_puppiw_" + s, Npfcan_puppiw_nNpf[p], "neutral candidate PUPPI weight for the " + s + ". npf", 10);
+    djTable->addColumn<float>("DeepJet_Npfcan_ptrel_" + s,
+                              Npfcan_ptrel_nNpf[p],
+                              "fraction of the jet momentum carried by the neutral candidate for the " + s + ". npf",
+                              10);
+    djTable->addColumn<float>("DeepJetExtra_Npfcan_etarel_" + s,
+                              Npfcan_etarel_nNpf[p],
+                              "pseudorapidity relative to parent jet for the " + s + ". npf",
+                              10);
+    djTable->addColumn<float>(
+        "DeepJetExtra_Npfcan_phirel_" + s, Npfcan_phirel_nNpf[p], "DeltaPhi(npf, jet) for the " + s + ". npf", 10);
+    djTable->addColumn<float>(
+        "DeepJet_Npfcan_deltaR_" + s,
+        Npfcan_deltaR_nNpf[p],
+        "pseudoangular distance between the neutral candidate and the jet axis for the " + s + ". npf",
+        10);
+    djTable->addColumn<int>("DeepJet_Npfcan_isGamma_" + s,
+                            Npfcan_isGamma_nNpf[p],
+                            "integer flag indicating whether the neutral candidate is a photon for the " + s + ". npf",
+                            10);
+    djTable->addColumn<float>(
+        "DeepJet_Npfcan_HadFrac_" + s,
+        Npfcan_HadFrac_nNpf[p],
+        "fraction of the neutral candidate energy deposited in the hadronic calorimeter for the " + s + ". npf",
+        10);
+    djTable->addColumn<float>(
+        "DeepJet_Npfcan_drminsv_" + s,
+        Npfcan_drminsv_nNpf[p],
+        "pseudoangular distance between the neutral candidate and the closest secondary vertex for the " + s + ". npf",
+        10);
+    djTable->addColumn<float>("DeepJet_Npfcan_puppiw_" + s,
+                              Npfcan_puppiw_nNpf[p],
+                              "neutral candidate PUPPI weight for the " + s + ". npf",
+                              10);
     djTable->addColumn<float>("DeepJet_Npfcan_px_" + s, Npfcan_px_nNpf[p], "", 10);
     djTable->addColumn<float>("DeepJet_Npfcan_py_" + s, Npfcan_py_nNpf[p], "", 10);
     djTable->addColumn<float>("DeepJet_Npfcan_pz_" + s, Npfcan_pz_nNpf[p], "", 10);
@@ -453,23 +538,44 @@ void JetTaggerTableProducer<T>::produce(edm::Event &iEvent, const edm::EventSetu
   }
 
   // ============================================================== SVs ===================================================================
-  for(unsigned int p = 0; p < n_sv_; p++) {
+  for (unsigned int p = 0; p < n_sv_; p++) {
     auto s = std::to_string(p);
 
     djTable->addColumn<float>("DeepJet_sv_pt_" + s, sv_pt_nSV[p], "SV pt of the " + s + ". SV", 10);
-    djTable->addColumn<float>("DeepJet_sv_deltaR_" + s, sv_deltaR_nSV[p], "pseudoangular distance between jet axis and the " + s + ". SV direction", 10);
+    djTable->addColumn<float>("DeepJet_sv_deltaR_" + s,
+                              sv_deltaR_nSV[p],
+                              "pseudoangular distance between jet axis and the " + s + ". SV direction",
+                              10);
     djTable->addColumn<float>("DeepJet_sv_mass_" + s, sv_mass_nSV[p], "SV mass of the " + s + ". SV", 10);
-    djTable->addColumn<float>("DeepJetExtra_sv_etarel_" + s, sv_etarel_nSV[p], "pseudorapidity relative to parent jet for the " + s + ". SV", 10);
-    djTable->addColumn<float>("DeepJetExtra_sv_phirel_" + s, sv_phirel_nSV[p], "DeltaPhi(sv, jet) for the " + s + ". SV", 10);
-    djTable->addColumn<float>("DeepJet_sv_ntracks_" + s, sv_ntracks_nSV[p], "Number of tracks asociated to the " + s + ". SV", 10);
+    djTable->addColumn<float>("DeepJetExtra_sv_etarel_" + s,
+                              sv_etarel_nSV[p],
+                              "pseudorapidity relative to parent jet for the " + s + ". SV",
+                              10);
+    djTable->addColumn<float>(
+        "DeepJetExtra_sv_phirel_" + s, sv_phirel_nSV[p], "DeltaPhi(sv, jet) for the " + s + ". SV", 10);
+    djTable->addColumn<float>(
+        "DeepJet_sv_ntracks_" + s, sv_ntracks_nSV[p], "Number of tracks asociated to the " + s + ". SV", 10);
     djTable->addColumn<float>("DeepJet_sv_chi2_" + s, sv_chi2_nSV[p], "chi2 of the " + s + ". SV", 10);
     djTable->addColumn<float>("DeepJet_sv_normchi2_" + s, sv_normchi2_nSV[p], "chi2/dof of the " + s + ". SV", 10);
-    djTable->addColumn<float>("DeepJet_sv_dxy_" + s, sv_dxy_nSV[p], "2D impact parameter (flight distance) value of the " + s + ". SV", 10);
-    djTable->addColumn<float>("DeepJet_sv_dxysig_" + s, sv_dxysig_nSV[p], "2D impact parameter (flight distance) significance of the " + s + ". SV", 10);
-    djTable->addColumn<float>("DeepJet_sv_d3d_" + s, sv_d3d_nSV[p], "3D impact parameter (flight distance) value of the " + s + ". SV", 10);
-    djTable->addColumn<float>("DeepJet_sv_d3dsig_" + s, sv_d3dsig_nSV[p], "3D impact parameter (flight distance) significance of the " + s + ". SV", 10);
-    djTable->addColumn<float>("DeepJet_sv_costhetasvpv_" + s, sv_costhetasvpv_nSV[p], "cosine of the angle between the " + s + ". SV flight direction and the direction of the " + s + ". SV momentum", 10);
-    djTable->addColumn<float>("DeepJet_sv_enratio_" + s, sv_enratio_nSV[p], "ratio of the " + s + ". SV energy ratio to the jet energy", 10);
+    djTable->addColumn<float>(
+        "DeepJet_sv_dxy_" + s, sv_dxy_nSV[p], "2D impact parameter (flight distance) value of the " + s + ". SV", 10);
+    djTable->addColumn<float>("DeepJet_sv_dxysig_" + s,
+                              sv_dxysig_nSV[p],
+                              "2D impact parameter (flight distance) significance of the " + s + ". SV",
+                              10);
+    djTable->addColumn<float>(
+        "DeepJet_sv_d3d_" + s, sv_d3d_nSV[p], "3D impact parameter (flight distance) value of the " + s + ". SV", 10);
+    djTable->addColumn<float>("DeepJet_sv_d3dsig_" + s,
+                              sv_d3dsig_nSV[p],
+                              "3D impact parameter (flight distance) significance of the " + s + ". SV",
+                              10);
+    djTable->addColumn<float>("DeepJet_sv_costhetasvpv_" + s,
+                              sv_costhetasvpv_nSV[p],
+                              "cosine of the angle between the " + s +
+                                  ". SV flight direction and the direction of the " + s + ". SV momentum",
+                              10);
+    djTable->addColumn<float>(
+        "DeepJet_sv_enratio_" + s, sv_enratio_nSV[p], "ratio of the " + s + ". SV energy ratio to the jet energy", 10);
 #ifdef JTTP_NEED_SV_PE
     djTable->addColumn<float>("DeepJet_sv_px_" + s, sv_px_nSV[p], "", 10);
     djTable->addColumn<float>("DeepJet_sv_py_" + s, sv_py_nSV[p], "", 10);
@@ -482,7 +588,7 @@ void JetTaggerTableProducer<T>::produce(edm::Event &iEvent, const edm::EventSetu
   }
 
   // ============================================================== LTs ===================================================================
-  for(unsigned int p = 0; p < n_lt_; p++) {
+  for (unsigned int p = 0; p < n_lt_; p++) {
     auto s = std::to_string(p);
 
     djTable->addColumn<float>("DeepJet_lt_btagPf_trackEtaRel_" + s, lt_btagPf_trackEtaRel_nLT[p], "", 10);
@@ -512,9 +618,8 @@ void JetTaggerTableProducer<T>::produce(edm::Event &iEvent, const edm::EventSetu
   iEvent.put(std::move(djTable), nameDeepJet_);
 }
 
-template<typename T>
-void JetTaggerTableProducer<T>::fillDescriptions(edm::ConfigurationDescriptions &descriptions)
-{
+template <typename T>
+void JetTaggerTableProducer<T>::fillDescriptions(edm::ConfigurationDescriptions &descriptions) {
   edm::ParameterSetDescription desc;
   desc.add<std::string>("nameDeepJet", "Jet");
   desc.add<std::string>("idx_nameDeepJet", "djIdx");
